CocoaButton Class Reference

`#include <CocoaButton.h>`

Inheritance diagram for CocoaButton:

## Instance Methods

(void) | - clicked:
(NSSize) | - minSize
(NSSize) | - neededTextSize
(void) | - setC_ActionPtr:Data:

## Protected Attributes

void * | c_actionData
gwenActionPtr | c_actionPtr
BOOL | fillX
BOOL | fillY
CGFloat | minWidth

## Detailed Description

Definition at line 17 of file CocoaButton.h.

## Method Documentation

## clicked:

- (void) clicked: |  | (id) | sender |

## minSize

- (NSSize) minSize |  |  |

References minSize.

Referenced by minSize.

## neededTextSize

- (NSSize) neededTextSize |  |  |

Referenced by setC_ActionPtr:Data:.

## setC_ActionPtr:Data:

- (void) setC_ActionPtr: |  | (gwenActionPtr) | ptr
Data: |  | (void *) | data

References neededTextSize.

## Field Documentation

## c_actionData

- (void*) c_actionData

protected

Definition at line 21 of file CocoaButton.h.

## c_actionPtr

- (gwenActionPtr) c_actionPtr

protected

Definition at line 20 of file CocoaButton.h.

## fillX

- (BOOL) fillX

read write protected

Definition at line 22 of file CocoaButton.h.

## fillY

- (BOOL) fillY

read write protected

Definition at line 23 of file CocoaButton.h.

## minWidth

- (CGFloat) minWidth

protected

Definition at line 25 of file CocoaButton.h.

The documentation for this class was generated from the following file:

- CocoaButton.h